Package chatapp.Protocol

# Class UDPEchange

java.lang.Object
chatapp.Protocol.UDPEchange

    public class UDPEchange
    extends java.lang.Object

Classe representant les échanges UDP entre utilisateurs.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UDPEchange()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `ecouteUDP​(ChatApp app)` | Methode permettant la reception de messages d'utilisateurs à l'aide du protocole UDP
`static void` | `EnvoiBroadcast​(java.lang.String broadcastMessage)` | Méthode permettant d'envoyer un message à tout les utilisateurs à l'aide du protocole UDP
`static void` | `envoiUnicast​(java.net.InetAddress Adress, java.lang.String Message)` | Méthode permettant d'envoyer un message a utilisateur en particulier a l'aide du protocole UDP
`static java.lang.Boolean` | `getConnecte()` | Getter : Connecte
`static java.net.InetAddress` | `getCurrentIp()` | Getter : Ip Permet de recuperer l'adresse de l'hote sur le reseau au format IPv4.
`static java.lang.Boolean` | `getPseudoValide()` | Getter : Pseudo Valide
`static void` | `setConnecte​(java.lang.Boolean value)` | Setter : Connecte
`static void` | `setPseudoValide​(java.lang.Boolean value)` | Setter : PseudoValise

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UDPEchange

public UDPEchange()

## Method Details

### getConnecte

public static java.lang.Boolean getConnecte()
Getter : Connecte

Returns:
  Le boolean connecte (True s'il peut se connecter avec ce nom d'utilisateur , False sinon)

### setConnecte

public static void setConnecte​(java.lang.Boolean value)
Setter : Connecte

Parameters:
  `value` - La nouvelle valeur du boolean de connexion

### getPseudoValide

public static java.lang.Boolean getPseudoValide()
Getter : Pseudo Valide

Returns:
  Le boolean PseudoValide (True s'il peut utiliser ce pseudo , False sinon)

### setPseudoValide

public static void setPseudoValide​(java.lang.Boolean value)
Setter : PseudoValise

Parameters:
  `value` - La nouvelle valeur du boolean concernant le pseudo valide

### getCurrentIp

public static java.net.InetAddress getCurrentIp()

Getter : Ip
Permet de recuperer l'adresse de l'hote sur le reseau au format IPv4.
Si plusieurs adresses sont disponibles (plusieurs cartes réseaux), choisit la premiere trouvée

Returns:
  L'adresse IP au format IPv4

### EnvoiBroadcast

public static void EnvoiBroadcast​(java.lang.String broadcastMessage) throws java.io.IOException

Méthode permettant d'envoyer un message à tout les utilisateurs à l'aide du protocole UDP

Parameters:
  `broadcastMessage` - Message à transmettre aux utilisateurs
Throws:
  `java.io.IOException`

### ecouteUDP

public static void ecouteUDP​(ChatApp app)

Methode permettant la reception de messages d'utilisateurs à l'aide du protocole UDP

Parameters:
  `app` - L'application de chat de l'utilisateur qui receptionne le message

### envoiUnicast

public static void envoiUnicast​(java.net.InetAddress Adress, java.lang.String Message) throws java.io.IOException

Méthode permettant d'envoyer un message a utilisateur en particulier a l'aide du protocole UDP

Parameters:
  `Adress` - L'adresse IP de l'utilisateur
  `Message` - Message message à transmettre a l'utilisateur
Throws:
  `java.io.IOException`